# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2019-10-23 08:13
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auto', '0036_auto_20190924_0856'),
    ]

    operations = [
        migrations.AlterField(
            model_name='auto',
            name='author_type',
            field=models.IntegerField(blank=True, choices=[(0, 'официальный дилер'), (1, 'частное лицо'), (2, 'неофициальный дилер'), (3, 'перекуп'), (4, '-')], default=0, verbose_name='Тип автора'),
        ),
        migrations.AlterField(
            model_name='generation',
            name='model_auto',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='auto.ModelAuto', verbose_name='Модель'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='markauto',
            name='name',
            field=models.CharField(blank=True, default=None, max_length=20, null=True, unique=True, verbose_name='Марка'),
        ),
        migrations.AlterField(
            model_name='modelauto',
            name='mark_auto',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.CASCADE, to='auto.MarkAuto', verbose_name='Марка'),
        ),
        migrations.AlterUniqueTogether(
            name='modelauto',
            unique_together=set([('mark_auto', 'name')]),
        ),
    ]
